searchData={"items":[{"type":"module","title":"ExFiskal","doc":"Documentation for `ExFiskal`.","ref":"ExFiskal.html"},{"type":"function","title":"ExFiskal.fiscalize/3","doc":"Fiscalizes the recepit taking in params and the certificate and it's password.","ref":"ExFiskal.html#fiscalize/3"},{"type":"function","title":"Example - ExFiskal.fiscalize/3","doc":"The following is the \"minimal\" example for fiscalizing a recepit/invoice.\n\nYou will need:\n\n- Tax number (OIB) of the entity issuing the invoice (d.o.o., j.d.o.o., obrt, or d.d.)\n- Tax number (OIB) of the operator\n- Certificate from Fina in P12 format and it's password\n\n```\nparams = %{\n  tax_number: \"23618229102\",\n  invoice_number: \"1\",\n  business_unit: \"1\",\n  device_number: \"1\",\n  total_amount: 10000,\n  invoice_datetime: ~U[2024-12-12 14:46:49.258317Z],\n  sequence_mark: ExFiskal.Enums.SequenceMark.business_unit(),\n  payment_method: ExFiskal.Enums.PaymentMethod.cards(),\n  vat: [\n    %{rate: 2500, base: 10000, amount: 2000}\n  ],\n  operator_tax_number: \"37501579645\",\n}\n\nExFiskal.fiscalize(params, \"\", \"\")\n```","ref":"ExFiskal.html#fiscalize/3-example"},{"type":"module","title":"ExFiskal.Enums.PaymentMethod","doc":"Payment method enums for fiscalization.\n\nValues:\n- G - cash (gotovina)\n- K - cards (kartice)\n- C - check (ček)\n- T - bank transfer (transakcijski račun)\n- O - other (ostalo)","ref":"ExFiskal.Enums.PaymentMethod.html"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.bank_transfer/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#bank_transfer/0"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.cards/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#cards/0"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.cash/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#cash/0"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.check/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#check/0"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.other/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#other/0"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.valid?/1","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#valid?/1"},{"type":"function","title":"ExFiskal.Enums.PaymentMethod.values/0","doc":"","ref":"ExFiskal.Enums.PaymentMethod.html#values/0"},{"type":"module","title":"ExFiskal.Enums.SequenceMark","doc":"Sequence mark enums for fiscalization.\n\nValues:\n- P - business unit level (na nivou poslovnog prostora)\n- N - device level (na nivou naplatnog uređaja)","ref":"ExFiskal.Enums.SequenceMark.html"},{"type":"function","title":"ExFiskal.Enums.SequenceMark.business_unit/0","doc":"","ref":"ExFiskal.Enums.SequenceMark.html#business_unit/0"},{"type":"function","title":"ExFiskal.Enums.SequenceMark.device/0","doc":"","ref":"ExFiskal.Enums.SequenceMark.html#device/0"},{"type":"function","title":"ExFiskal.Enums.SequenceMark.valid?/1","doc":"","ref":"ExFiskal.Enums.SequenceMark.html#valid?/1"},{"type":"function","title":"ExFiskal.Enums.SequenceMark.values/0","doc":"","ref":"ExFiskal.Enums.SequenceMark.html#values/0"},{"type":"module","title":"ExFiskal.PKCS12","doc":"Handles PKCS12 certificate operations including parsing, key extraction, and signing.\nAll functions accept binary data instead of file paths.","ref":"ExFiskal.PKCS12.html"},{"type":"function","title":"ExFiskal.PKCS12.extract_certs/2","doc":"Extracts certificates from PKCS12 binary data.","ref":"ExFiskal.PKCS12.html#extract_certs/2"},{"type":"function","title":"ExFiskal.PKCS12.extract_key/2","doc":"Extracts the private key from PKCS12 binary data.","ref":"ExFiskal.PKCS12.html#extract_key/2"},{"type":"function","title":"ExFiskal.PKCS12.get_openssl_version/0","doc":"Returns the current OpenSSL version installed on the system.","ref":"ExFiskal.PKCS12.html#get_openssl_version/0"},{"type":"function","title":"ExFiskal.PKCS12.parse_data/2","doc":"Parses PKCS12 binary data and returns its contents.","ref":"ExFiskal.PKCS12.html#parse_data/2"},{"type":"function","title":"ExFiskal.PKCS12.sign_string/3","doc":"Signs a string using the private key from the PKCS12 binary data.\nReturns the base64-encoded signature.","ref":"ExFiskal.PKCS12.html#sign_string/3"},{"type":"module","title":"ExFiskal.RequestParams","doc":"","ref":"ExFiskal.RequestParams.html"},{"type":"function","title":"ExFiskal.RequestParams.new/1","doc":"","ref":"ExFiskal.RequestParams.html#new/1"},{"type":"function","title":"ExFiskal.RequestParams.validate/1","doc":"","ref":"ExFiskal.RequestParams.html#validate/1"},{"type":"function","title":"ExFiskal.RequestParams.validate_datetime/1","doc":"","ref":"ExFiskal.RequestParams.html#validate_datetime/1"},{"type":"module","title":"ExFiskal.RequestTemplate","doc":"","ref":"ExFiskal.RequestTemplate.html"},{"type":"function","title":"ExFiskal.RequestTemplate.generate/1","doc":"","ref":"ExFiskal.RequestTemplate.html#generate/1"},{"type":"module","title":"ExFiskal.ZKI","doc":"Handles generation of ZKI (zaštitni kod izdavatelja) for Croatian fiscalization.\nThe ZKI is a security code that confirms the link between the fiscalization obligor and the issued receipt.","ref":"ExFiskal.ZKI.html"},{"type":"function","title":"ExFiskal.ZKI.generate/3","doc":"Generates ZKI code from the receipt data and PKCS12 certificate.\n\nParameters:\n- params: Map containing required fields:\n  - tax_number: Tax number (OIB)\n  - datetime: Receipt datetime\n  - invoice_number: Receipt sequence number\n  - business_unit: Business unit identifier\n  - device_number: Device identifier\n  - total_amount: Total amount\n- p12_binary: PKCS12 certificate binary data\n- password: PKCS12 certificate password","ref":"ExFiskal.ZKI.html#generate/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}